com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, BaseSelectInputBuilder.SingleSelectConfigurator<T,T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, BaseSelectModeSingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, InputBuilder<T,SingleSelect<T>,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, InputConfigurator<T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, SelectInputBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>, SingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeSingleSelectInputBuilder<T,B extends BaseSelectModeSingleSelectInputBuilder<T,B>>

      public static interface BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>
      extends BaseSelectModeSingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>>

  A `SingleSelectInputBuilder` for `RenderingMode#NATIVE_SELECT`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSingleSelectInputBuilder

      `BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.OptionsModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.SingleSelectInputBuilder

      `SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSingleSelectInputBuilder

      `emptySelectionAllowed, emptySelectionCaption, emptySelectionCaption, emptySelectionCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SingleSelectInputBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2019 The Holon Platform. All rights reserved.